    001/*
    002    Licensed to the Apache Software Foundation (ASF) under one
    003    or more contributor license agreements.  See the NOTICE file
    004    distributed with this work for additional information
    005    regarding copyright ownership.  The ASF licenses this file
    006    to you under the Apache License, Version 2.0 (the
    007    "License"); you may not use this file except in compliance
    008    with the License.  You may obtain a copy of the License at
    009
    010       http://www.apache.org/licenses/LICENSE-2.0
    011
    012    Unless required by applicable law or agreed to in writing,
    013    software distributed under the License is distributed on an
    014    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    015    KIND, either express or implied.  See the License for the
    016    specific language governing permissions and limitations
    017    under the License.
    018 */
    019package org.apache.wiki.api.exceptions;
    020
    021
    022/**
    023 *  A generic Wiki exception.
    024 *
    025 *  @since 2.0
    026 */
    027public class WikiException extends Exception {
    028
    029    private static final long serialVersionUID = 3257290231723210803L;
    030
    031    /**
    032     *  Constructs an exception.
    033     *
    034     *  @param msg the message in the exception.
    035     */
    036    public WikiException( final String msg ) {
    037        super( msg );
    038    }
    039
    040    /**
    041     *  Constructs an exception with a supplied cause.
    042     *
    043     *  @param msg the message in the exception.
    044     *  @param cause the cause of the exception
    045     */
    046    public WikiException( final String msg, final Throwable cause ) {
    047        super( msg, cause );
    048    }
    049
    050}